devscripts (2.26.10) unstable; urgency=medium

  * Team upload.

  [ Jochen Sprickerhof ]
  * Revert "Remove mmdebstrap from recommends again"
  * Fix groff-messages reported by lintian

  [ Daniel Gröber ]
  * bts: Fix 'severity' and 'forwarded' failing with omitted bug number
  * bts reply: Remove "Re:" prefix from Subject
  * bts show|status: Establish implicit 'context', not 'reply' (MUA)
  * bts: Fix --no-mutt being ineffective
  * bts: Bail if STDIN is unexpecteldy a TTY inside MUA
  * bts: Fix aerc quoting in $mailreader default
  * bts: Fix Handling of multiple done commands (Closes: #1126347)
  * bts: Fall back to STDIN when /dev/tty fails to open (Closes: #1123934)
  * bts reply|context: Show a "reading from STDIN" message

  [ Yadd ]
  * uscan: set Uversion-Mangle to "auto" by default in Github template
  * [uscan] Ignore Ctype version when not > 0

  [ Nikolas Nyby ]
  * Fix typo in bts errors: implict -> implicit

  [ Johannes Schauer Marin Rodrigues ]
  * scripts/debrebuild.pl: refactor mmdebstrap builder to avoid confusing
    double shell quoting (Closes: #1140552)

  [ Serge Schneider ]
  * debrebuild: default Build-Path in dpkg/mmdebstrap when buildinfo omits it
    (Closes: #1140560)
  * debsnap: avoid infinite loop when .dsc lacks a Files: stanza
    (Closes: #1140744)

  [ Anders Kaseorg ]
  * dpkg-genbuilddeps: exit 0 for --help, --version
  * debchange: Use ###VERSION###
  * hardening-check: exit 0 for --help
  * who-permits-upload: Write to stdout, exit 0 for --help
  * cowpoke: Write to stdout for --help

  [ наб ]
  * Reset "Successfully signed" message after writing it

  [ Jacob Mealy ]
  * getbuildlog: report error if no results available (Closes: #681779)

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 06 Jul 2026 12:19:08 +0200

devscripts (2.26.9) unstable; urgency=medium

  * Team upload.

  [ Holger Levsen ]
  * Add sbuild to recommends. Thanks to Robie Basak. Closes: #1136170

  [ Jochen Sprickerhof ]
  * debootsnap: clear APT::Default-Release (Closes: #1136742)
  * Build depend on procps for pidof (used in test/test_uscan_git)
    (Closes: #1136494)

  [ Christopher Bock ]
  * bts.bash_completion update available tags

  [ Carles Pina i Estany ]
  * Added recommended dependency to diffstat (used by "debdiff --diffstat")

  [ Jeremy Bícha ]
  * Add Build-Depends: docbook-xml

  [ Agustin Martin ]
  * grep-excuses: Fix wide character in print at line 364 (Closes: #1103647)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 17 May 2026 16:33:30 +0200

devscripts (2.26.8) unstable; urgency=medium

  [ Jochen Sprickerhof ]
  * Bump minimal black version.
  * test_uscan_git: Fix for git version in trixie.

  [ Charles Plessy ]
  * uscan:
    - get template from metadata and package name from d/copyright.
    - remove stray print statement in CRAN template.

  [ Agustin Martin Domingo ]
  * Uscan/WatchSource.pm: Deal with "0" package version. Closes: #1059734.
  * Uscan/Config.pm: Also support --nodownload as specified in docstrings.
    Closes: #933555.
  * Github.pm: Allow customized version regexps with new 'Custom-Version'
    parameter. Closes: #1115546, #1120369.

  [ Chow Loong Jin ]
  * uscan:
    - support `$pkg_$ver.tar.gz` filenames in mode:git
    - fix misparsed version from filenamemangling result in vcs.
      Closes: #1133886.
  * salsa-ci: Disable test-uscan job.

  [ Yadd ]
  * uscan:
    - update STABLE_VERSION to accept 0.x.y versions.
    - fix USCAN_HTTP_HEADER failure when value contains a space.

  [ cen ]
  * debrebuild: document --cache flag usage.

  [ Agustin Martin ]
  * Gitlab.pm: Allow customized version regexps with new 'Custom-Version' parameter.

  [ Lukas Märdian ]
  * debchange: Adopt for 'LTS Team' in favor of 'LTS Security Team'.
  * po: Update debchange translations.

 -- Holger Levsen <holger@debian.org>  Wed, 13 May 2026 13:31:45 +0200

devscripts (2.26.7) unstable; urgency=medium

  [ Jochen Sprickerhof ]
  * debootsnap: handle arch:all in single package test

  [ Arnaud Rebillout ]
  * chdist: Minor reorder of options in usage and man page
  * chdist completion:
    - Properly handle the two different syntaxes
    - Add missing commands and options

  [ Agustin Martin Domingo ]
  * l/D/U/M/Http.pm: Selectively compare versions according to options.
    (Closes: #1112388, #1122181, #1112388, #1130447)
  * Github.pm: Use proper url with Release-Only: yes'. (Closes: #1115546)

  [ John Chittum ]
  * fix: test_package_lifcycle dpkg prefix (LP: #2144425)

  [ Benjamin Drung ]
  * bts: Fix spelling mistakes found by lintian

 -- Benjamin Drung <bdrung@debian.org>  Tue, 31 Mar 2026 17:31:22 +0200

devscripts (2.26.6) unstable; urgency=medium

  * Team upload.

  [ Arnaud Rebillout ]
  * uscan: Formatting nitpicks in Version4.pm
  * uscan: Prefer Dist keyword when updating d/watch to v5 (GitHub template)
  * Update chdist completion

  [ Dmitry Shachnev ]
  * uscan: Add ~ to the version for PyPI pre-releases

  [ Nicolas Schodet ]
  * salsa: accept dots in token when using a token file

  [ Jérémy Lal ]
  * Fix stuttering in salsa fork doc
  * Update devscripts.pot

  [ Holger Levsen ]
  * Update Portuguese translation, thanks to Américo Monteiro. Closes: #1126583

  [ Yadd ]
  * Update French translation
  * Udpate metacpan version to fix autopkgtest
  * autopkgtest: skip metacpan test if test version mismatch upstream version
  * Add SINGLE_USCAN_TEST env var to be able to test only one test/t/uscan/* test
  * Revert "uscan: Fix --download-current-version.
    (Closes: #1122181, #1112388)": breaks test
  * [uscan] Update Metacpan template to handle version with "v" prefix
    (Closes: #1120062)
  * Fix test_package_lifecycle: dpkg-source format change in dpkg-dev 1.23.7

  [ Daniel Gröber ]
  * bts: Fix Message-ID header missing "@" (Closes: #1126848)
  * bts retitle: Fix implicit bug 'it' showing up in title (Closes: #1127806)

  [ Ian Jackson ]
  * debian-watch.pod: Speak of a git "repository" not an "archive"
  * debian-watch.pod: Improve git mode docs, narrow discouragement

  [ Charles Plessy ]
  * uscan: Add templates for the CRAN and Bioconductor archives.

  [ Omar Zagonel El Laden ]
  * uscan: Fix parsing of nested fields in d/u/metadata

  [ Jochen Sprickerhof ]
  * debootsnap: support arch:all on metasnap
  * debootsnap: fix multiple arch:all
  * Reformat with new black version

  [ Carles Pina i Estany ]
  * debrebuild: delete dead code
  * debrebuild: delete unused variable

  [ Uwe Kleine-König ]
  * uscan: Fix --download-current-version. (Closes: #1122181, #1112388)

  [ William Desportes ]
  * uscan: fix wrong example of "refs/tags/v@ANY_VERSION@" that should be
    "refs/tags/@ANY_VERSION@" (Closes: #1129465)

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 09 Mar 2026 13:19:15 +0100

devscripts (2.26.5) unstable; urgency=medium

  [ Daniel Gröber ]
  * bts:
    - fix online checks on cloned bugs.
    - retitle: Allow omitting bug number.
    - retitle: Fix mistakenly doing online checks in offline mode.

 -- Holger Levsen <holger@debian.org>  Sun, 18 Jan 2026 12:49:52 +0100

devscripts (2.26.4) unstable; urgency=medium

  [ Agustin Martin Domingo ]
  * scripts/{debian-watch*.pod,uscan.pl}: Fix custom scripts (or uupdate) stuff.
    Thanks to Guillem Jover. Closes: #1121408.

  [ Holger Levsen ]
  * Update po4a.

 -- Holger Levsen <holger@debian.org>  Mon, 12 Jan 2026 16:26:32 +0100

devscripts (2.26.3) unstable; urgency=medium

  [ Simon McVittie ]
  * sadt: Split Tests, Features, Restrictions according to the spec.
    Closes: #1121898.

  [ Arnaud Rebillout ]
  * uscan-templates.pod:
    - Add missing internal links for GitLab and Pypi.
    - Rework the GitHub example to mention Dist keyword.
    - Re-order alphabetically.
    - Rework npmregistry to be in line with the rest.
    - release is plural in links.

  [ Holger Levsen ]
  * test/t/uscan/meta(data-)cpan/wanted_files: bump wanted version.

 -- Holger Levsen <holger@debian.org>  Thu, 08 Jan 2026 12:14:51 +0100

devscripts (2.26.2) unstable; urgency=medium

  [ Daniel Gröber ]
  * bts:
    - fix 'unsubscribe' cmd incorrectly sending subscription request.
      Closes: #1124693.
    - fix cosmetic $ENV{"_"} uninitialized warning.

  [ Holger Levsen ]
  * Bump standards version to 4.7.3 and stop stating optional priority as that
    is the default now.

 -- Holger Levsen <holger@debian.org>  Wed, 07 Jan 2026 10:04:43 +0100

devscripts (2.26.1) unstable; urgency=medium

  [ Otto Kekäläinen ]
  * debchange: Update man page with new multimaint-merge default 'yes'.
    Closes: #1104615.

  [ Daniel Gröber ]
  * bts: Fix sending using SMTP due to missing RCPTs. Closes: #1124610.

  [ Holger Levsen ]
  * Update po4a.
  * Bump version number, happy new year to every human reading this.

 -- Holger Levsen <holger@debian.org>  Sun, 04 Jan 2026 22:12:02 +0100

devscripts (2.25.33) unstable; urgency=medium

  * bts: Fix 'tags' command being ineffective (Closes: #1124130)
  * bts: Relax fixed/notfixed consistency check to allow fixups
    (Closes: #1123919)

 -- Daniel Gröber <dxld@darkboxed.org>  Sun, 28 Dec 2025 16:36:56 +0100

devscripts (2.25.32) unstable; urgency=medium

  [ Lucas Nussbaum ]
  * salsa: add rename_branches command to rename several branches at once
  * salsa: add update_gbp_conf command -- refresh debian/gbp.conf based on available branches
  * salsa: add commands for file manipulation (get/create/edit/delete)

  [ Daniel Gröber ]
  * bts done: Revert to mailing control@ when no 'reply' cmd is used

  [ Arnaud Rebillout ]
  * scripts/*: Fix pylint errors
  * test/test_mk-origtargz: Strip dpkg deprecation message from stderr
  * test/test_mk-origtargz: Adjust for reworded error message from dpkg 1.23

 -- Daniel Gröber <dxld@darkboxed.org>  Mon, 22 Dec 2025 14:41:43 +0100

devscripts (2.25.31) unstable; urgency=medium

  [ Daniel Gröber ]
  * bts.1: Document 'show' command additions from 2.25.28
  * bts: Allow -1 as alias for "it" - to referr to last used bug number
  * bts: bugs --mbox: Allow selecting with additional filters
  * bts: Ignore EMAIL/DEBEMAIL if invalid mail address
  * bts: Add BTS_WORKFLOW=mail|web config var, --mail and --web options
  * bts: tags: Remove 10yo 'gift' special handling :-O
  * bts: browse: Fix download_mbox tempfile file-descriptor leak
  * bts: tags: Disallow defaulted + to allow more useful behavour later
  * bts: Make 'close' a proper alias for 'done' removing 21yo warning
  * bts: Add 'disown' alias for 'noowner' command
  * bts: Allow omitting bug-number argument where unambigous
  * bts: Add 'reply' command for Control: pseudoheader based workflow
  * bts.1: Reflect optional bug args and new keywords (to/by/from/with/since)
  * bts: Add 'assign' alias for 'reassign' command
  * bts clone: Check for duplicates in new IDs
  * bts: Add online versiontracking checks for found/fixed commands
  * bts.1: Add extensive EXAMPLE section
  * bts.1: Revitalize DESCRIPTION with welcoming attitude
  * bts.1: Give an actual overview in SYNOPSYS
  * bts: Read user input directly from TTY for when STDIN is redirected
  * bts: Defuse footguns by default, use BTS_EXPERT=yes to override
  * bts: Document unfriendly 'reopen' command as deprecated
  * bts: Check for conflicting fixed version records
  * bts: Consider bug-numbers with less than four digits invalid
  * bts: Introduce --smtp-reportbug and BTS_SMTP_REPORTBUG=yes
  * bts: Introduce BTS_MUTT_COMMAND config (neomutt users rejoice!)
  * bts: Error on invalid config instead of using default
  * bts done: Disallow `sourcepakcage/version` syntax
  * bts done: Check for duplicate command
  * bts.1: Improve BTS_MAIL_READER docs
  * bts: Prepare mail logic to allow for bug sumbission
  * bts: Introduce support for bug submission
  * bts done: Remove $interactive logic superceeded by main()
  * bts done: Use NNNNN-done@ instead of control@
  * bts: Introduce cmdline MUA autodetection for mutt, neomutt and aerc
  * bts: In --mail workflow: Use enclosing MUA implicitly
  * bts: Skip mail confirmation when --mutt is active (or implied)
  * bts: Warn about template snippet remaining in message (--interactive)
  * bts unarchive: Check whether bug is really archived
  * bts.1: Document Consistency Checks in DESCRIPTION
  * bts.1: Improve --smtp-* option docs
  * bts: Make --sendmail and --smtp-host override implied --mutt
  * bts: Integrate (un)subscribe commands into multi-command sequece
  * bts: Allow multiple bugs in (un)subscribe commands
  * bts: Make --smtp-reportbug imply --interactive to be more friendly
  * bts: Complain when BTS_INTERACTIVE is invalid instead of defaulting
  * d/control: Update 'bts' description and dependencies
  * bts: Unlock implicit 'reply' using $_ MUA detection
  * bts: Fix sending using sendmail skipping send_scriptions
  * bts: Make confirmmail tell user why nothing is happening
  * bts: TODO for config var docs
  * bts: Merge 'bugs' and 'show' command sections
  * bts: Fix 'merge' command usage
  * bts: Make "modified from defaults" section in --help more visible
  * bts: Condense generated --help output for readability
  * bts retitle: Check for current subject in retitle. Closes: #537875.
  * bts: Use timeout of 5s in --mutt and --interactive
  * bts: Use https by default when using --bts-server
  * bts.1: TODO to fix sensible-browser blocking with graphical browsers
  * bts reply: Reset $! to avoid suprious "Illegal seek" error
  * bts reply: Use `exists $m{}` to avoid uninizialized warnings
  * bts reply: Add error message to message body for user visibility
  * bts: Note that $bug_status{source} can contain multiple packages
  * pts-subscribe: Use tracker control@ instead of pts@qa.debian.org
  * bts.1: Note 'assign' clears each given bug's found versions
  * bts.1: Minor copyedit s/fetching info/fetching online info/
  * bts: Make punctuation in SYNOPSIS section consistent
  * bts: Use %hash to determine implicit reply cancellation
  * bts: Introduce 'context' command for control@ mail from MUA
  * bts.1: Update 'reply' docs for 'context'
  * bts: Remove deprecated 22yo BUGSOFFLINE deprecation warning
  * bts: Fix --cc-addr, BTS_DEFAULT_CC being ineffective
  * bts: Add BTS_NONMUA_BCC config for reliable personal archiving
  * bts: Allow address lists in BTS_DEFAULT_CC, BTS_NONMUA_BCC
  * bts: Fix 'notfound' bugargs invocation

  [ Ximin Luo ]
  * uscan: don't copy tarballs to .. if we're not running mk_origtargz in the first place
  * uscan: perl tidy

  [ Holger Levsen ]
  * dget: dont return 0 if download fails. Thanks to Lucas Nussbaum.
    Closes: #1123045
  * Update po4a.

 -- Holger Levsen <holger@debian.org>  Tue, 16 Dec 2025 15:03:42 +0100

devscripts (2.25.30) unstable; urgency=medium

  [ Arnaud Rebillout ]
  * uscan:
    - Fix "Dist" for GitHub template.
    - Document Dist for GitHub.
    - Add a test for GitHub "Dist" keyword.

  [ Yadd ]
  * Fix metacpan autopkgtest. Closes: #1121972.

  [ Holger Levsen ]
  * Update Portuguese translation, thanks to Américo Monteiro.
    Closes: #1122190.
  * Update po4a.

 -- Holger Levsen <holger@debian.org>  Tue, 09 Dec 2025 19:02:06 +0100

devscripts (2.25.29) unstable; urgency=medium

  [ Guillem Jover ]
  * debdiff: Pass also no_check to Dpkg::IPC spawn() and wait_child().

  [ Jongmin Kim ]
  * dd-list: Fix -nou option by bundling_override. Closes: #960891.

 -- Holger Levsen <holger@debian.org>  Thu, 04 Dec 2025 10:58:56 +0100

devscripts (2.25.28) unstable; urgency=medium

  [ Guillem Jover ]
  * debdiff: Add support for new --no-check option. Closes: #1016135.
  * Pass also no_check to Dpkg::IPC spawn() and wait_child().

  [ Hugh McMaster ]
  * uscan/Git.pm:
    - Set $newfile as a remote reference in upstream mode. Closes: #1120533.
    - Remove 'eval' wrapper.
    - Update 'git upstream' code path and debug output.
    - Call 'show-ref' and 'ls-remote' with '--tags'.
  * uscan/WatchSource.pm: Update some output messages.

  [ Yadd ]
  * uscan:
    - accept also "Dist" into Github template like other templates.
    - improve default Uversion-Mangle to cover trailing dot or dash and
      uppercase. Thanks to Jonas Smedegaard. Closes: #1112452.
  * Update French translations.

  [ Daniel Gröber ]
  * bts: browse:
    - Push down $caching check. Closes: #1121335.
    - Fix background download with blocking browsers.
    - Fix background child inadvertently executing commands.

 -- Holger Levsen <holger@debian.org>  Sun, 30 Nov 2025 10:59:09 +0100

devscripts (2.25.27) unstable; urgency=medium

  [ Daniel Gröber ]
  * bts show: Fix handling of non-blocking browsers.
  * bts: Default --cache-delay to zero.
  * bts: Allow --mbox for more than single bugs.

  [ Guillem Jover ]
  * tagpending: Fix option --to handling to actually work.
  * Pass also filename to Dpkg::Changelog::Parse::changelog_parse().

  [ Holger Levsen ]
  * Update po4a.

 -- Holger Levsen <holger@debian.org>  Sat, 22 Nov 2025 19:03:04 +0100

devscripts (2.25.26) unstable; urgency=medium

  * Team upload.

  [ Yadd ]
  * Update French translation

  [ Jochen Sprickerhof ]
  * debrebuild: always build with --no-source because we cannot reproduce the
    signature on the .dsc anyway.

  [ John Chittum ]
  * d/rules&control: libmetacpan-client-perl suggest on Ubuntu

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 19 Nov 2025 15:13:45 +0100

devscripts (2.25.25) unstable; urgency=medium

  [ Colin Watson ]
  * Restore dependency on dpkg-dev.

  [ Jochen Sprickerhof ]
  * Recover build dependency on apt.

  [ Yadd ]
  * uscan: drop old Gitlab hook. Closes: #1120116.
  * test/t/uscan.t: revert temporary hook.

 -- Holger Levsen <holger@debian.org>  Thu, 06 Nov 2025 08:42:30 +0100

devscripts (2.25.24) unstable; urgency=medium

  [ Yadd ]
  * salsa: add --retry-failed-pipelines option.
  * uscan:
    - fix Gitlab template when version starts with "v". Closes: #1113795
    - fix GitHub template when version contains a "-". Closes: #1111268
    - add test for Gitlab with Uversion-Mangle.
  * Drop unnecessary greater-than versioned dependencies and dependencies on
    essential packages.
  * Update French translations.

  [ Vincent Danjean ]
  * uscan:
    - allow to specify Uversion-Mangle with Gitlab template.
    - allow to specify the upstream version in Gitlab mode.
    - use non-greedy catch-all regexp in default matching pattern.
    - fix test: no v prefix in upstream versions anymore.

  [ Holger Levsen ]
  * Update po4a.

 -- Holger Levsen <holger@debian.org>  Wed, 05 Nov 2025 11:02:52 +0100

devscripts (2.25.23) unstable; urgency=medium

  [ Hugh McMaster ]
  * uscan/Git.pm: Support archiving in upstream mode. Closes: #1111962
  * uscan/Downloader.pm: Handle user-specified git submodules in upstream mode.
  * scripts/debian-watch.pod: Remove erroneous =back instruction.
  * test/test_uscan_git:
    - don't init or deinit submodules in upstream tests.
    - add and use verifyTarFiles() in all tests.
    - add testGitUpstreamHead* tests.

  [ Agustin Martin Domingo ]
  * scripts/debian-watch.pod: Document Update-Script: option for custom
    scripts. Closes: #1119152
  * scripts/debian-watch-4.pod: Minor change suggested in custom scripts
    section.

  [ Holger Levsen ]
  * Update po4a.

 -- Holger Levsen <holger@debian.org>  Sun, 02 Nov 2025 10:51:30 +0100

devscripts (2.25.22) unstable; urgency=medium

  * Team upload.
  * scripts/devscripts/proxy.py: support all archive areas
  * debootsnap: query the unstable Debian archive

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 27 Oct 2025 08:31:03 +0100

devscripts (2.25.21) unstable; urgency=medium

  [ Manuel Guerra ]
  * uscan: Add Pypi template.

  [ Yadd ]
  * Add test to prevent CVE-2025-8454 - see #1109251.

  [ Hugh McMaster ]
  * test/test_uscan_git:
    - Unify package version creation in testGitHead*() tests.
    - Group module-wide variables.
    - Move shunit2-helper-functions.sh block.
    - Update error message in makeDebianDir().
    - Append package name to TEMP_PKG_DIR.
    - Remove subshell from spawnGitDaemon().
    - Spawn git repositories in TEMP_SRV_DIR.
    - Use ${PKG} as the main git repository name.
    - Use a common git repository.
    - Check file presence in every test.
    - Replace 'cat' with 'echo -e'.
    - Spawn git modules before tagging as v2.0.
    - Pass main repository name to spawnGitRepo().
    - Format subshell code block in spawnGitRepo().
    - Group tests and update some test names.
    - Use a common Debian directory.
    - Remove un-needed comments from tests.
    - Add more IgnoreExclusions tests.

  [ Jonas Jelten ]
  * debchange: ubuntu native packages version increment support.

  [ Benjamin Drung ]
  * Lower git-debpush from Recommends to Suggests on Ubuntu.

  [ Bastian Triller ]
  * Fix typos in README and Uscan/WatchSource manpage.

  [ Holger Levsen ]
  * Drop Rules-Requires-Root: no (now the default).
  * Add "Closes: #1112388" for 2.25.20 changelog entry for !MR564/8b2652c87.
  * Update po4a.

 -- Holger Levsen <holger@debian.org>  Fri, 24 Oct 2025 10:12:05 +0200

devscripts (2.25.20) unstable; urgency=medium

  [ Yadd ]
  * Update uscan doc.
  * uscan: document --update-watchfile.
  * Add "Version-Type" parameter in templates to be able to replace
    ANY_VERSION by another macro.
  * uscan: update missing-template message to suggest an upgrade.
  * uscan: reject "version=5" in favor of "Version: 5" and report
    corresponding error.
  * Clean test files.

  [ Ben Hutchings ]
  * uscan:
    - fix parsing of v4 watch file with @PACKAGE@ in URL. Closes: #1112065.
    - add regression test for bug #1112065.
    - add test cases for v4 watch files.

  [ Jochen Sprickerhof ]
  * debrebuild: workaround #806984 and #807168 when rebuilding
    debian-installer(-netboot-images).
  * uscan: add references to new watch man pages.

  [ Xiyue Deng ]
  * Use canonical field name in debian-watch manpage.

  [ Hugh McMaster ]
  * uscan:
    - Call 'git fetch' with  '--recurse-submodules' in submodules mode
    - Pass @args to 'git fetch' when updating upstream repositories
    - Fix regression preventing use of "safe.bareRepository = explicit"
      Closes: #1114902
  * uscan/Git.pm: Fix cloning from branches with 'heads/<branch>' syntax
    Closes: #1114750
  * uscan/Downloader.pm: Support git upstream repositories with submodules
  * uscan/WatchSource.pm: Fix logic error when cloning selected git submodules
    Closes: #1114540
  * debian-watch.pod: Minor updates
  * debian-watch-4.pod: Update Description and correct a grammatical error
  * test/test_uscan_git:
    - Separate writeDebianWatch() from makeDebianDir()
    - Test git upstream repositories with submodules
    - Stop 'git-daemon' if the process exists
    - Simplify 'git submodule' tests
    - Add second submodule to unit tests
    - Test individual git submodules
    - Separate git upstream submodules setup from initial test
    - Add more git upstream submodule tests
    - Rewrite writeDebianWatch() to use an associative array
    - Set "Pgp-Mode: none" as a default in debian/watch
    - Uniformity updates
    - Unify use of 'pristine' and 'upstream' tarball variables
    - Avoid use of perl in unit tests
    - Add tests for 'Git-Pretty: describe' mode
  * Fix several issues pointed out by Lintian:
    - debian-watch.pod: Fix spelling issues
    - debian/copyright: Add missing License field
    - scripts/deb*.1: Print a straight quote instead of an acute accent
    - scripts/*.pod: start manual page NAME section with one word
    - README.md: Wrap script description lines at 80 characters

  [ Alexandre Detiste ]
  * Remove obsolete what-patch script.

  [ Jeremy Bícha ]
  * uscan: capitalize GitHub and GitLab correctly in manpages.

  [ Simon Richter ]
  * uscan: add support for recursive submodules.

  [ Bastian Blank ]
  * Use properly mangled version in vcs download again. Closes: #1112388.

  [ Serge Schneider ]
  * uscan/Downloader.pm: Escape $pkg variable in $fname regex.
    Closes: #995857, #1110911.

  [ Jérémy Lal ]
  * grep-excuses.1: fix --autopkgtests msgstr. Closes:#1117931.

  [ Holger Levsen ]
  * Update Portuguese translation. Thanks to Américo Monteiro.
    Closes: #1110411.
  * Update po4a.

 -- Holger Levsen <holger@debian.org>  Sun, 19 Oct 2025 16:36:30 +0200

devscripts (2.25.19) unstable; urgency=medium

  [ Yadd ]
  * Fix autopkgtest
  * Indicates that debian/watch version 5 breaks dh-nodejs <= 0.16.0~
  * Update French translation
  * Dependencies:
    * Move libio-string-perl from recommended dependencies to required ones
    * Move libmetacpan-client-perl from suggested dependencies to recommended
      ones
    * Suggests libgitlab-api-v4-perl (needed by salsa)
  * uscan:
    - add "Untrackable" field to disable uscan + allow one paragraph
    - in version=5, rename Pretty and Date into Git-Pretty and Git-Date
    - set a default value for Matching-Pattern
    - better error message when libmetacpan-client-perl is missing (Metacpan
      template)
    - group some duplicated code
    - move "modes" into dedicated folder
    - use debian/upstream/metadata if debian/watch is missing and a
      corresponding template exists (Closes: #1111114)
    - Templates:
      * add template for npmjs.com registry
      * add Gitlab template and mode
      * fix component filenames in Github template
      * update Github examples
      * add "Release-Only" parameter for Github and Gitlab templates

  [ Julien Plissonneau Duquène ]
  * Update and fix french translations

  [ наб ]
  * uscan: mode=git: don't choke on signed commits

 -- Yadd <yadd@debian.org>  Sat, 23 Aug 2025 01:47:47 +0200

devscripts (2.25.18) unstable; urgency=medium

  [ Yadd ]
  * uscan:
    - When --update-watchfile, try to use templates
    - Add libmetacpan-client-perl into suggested packages
    - Add metacpan autopkgtest (with restriction needs-internet)
  * Update French translation

  [ Sean Whitton ]
  * Delete git-deborig that is moving to the git-debpush package
    (Related: #1105759)
    - Drop deps and recs on libgit-wrapper-perl, liblist-compare-perl,
      libtry-tiny-perl
  * Add Recommends on git-debpush
  * README.md: debrebuild requires libstring-shellquote-perl

  [ Hugh McMaster ]
  * uscan:
    - test/test_uscan_git: Convert tests to watch file Version 5 and refactor2
    - uscan/WatchSource.pm: Remove boolean 'gitmodules' option
    - uscan: Better handle Git-Modules: 'yes' and 'all' values
    - uscan/Downloader.pm: Pass '--quiet' to git if not in verbose or debug mode
    - uscan/git.pm: Pass '--quiet' to git if not in verbose or debug mode
    - uscan/WatchSource.pm: Avoid leading whitespace in raw watch file output

  [ Otto Kekäläinen ]
  * dep-14-convert: Use 'upstream' as fallback if no merges found (Closes: #1110088)

  [ Alexandre Detiste ]
  * what-patch: Remove dead code testing for former removed patch systems

  [ Bas Couwenberg ]
  * debchange: trixie is now stable, forky is testing.

  [ Julien Plissonneau Duquène ]
  * uscan:
    - Add a test case for using --download-version with version mangling in
      git mode.
    - Match unmangled versions against --download-version (Closes: #1100020)
    - Add NEWS entry about d/watch breaking changes

  [ Dorle Osterode ]
  * (de) po4a/po/de.po: Update translation

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 15 Aug 2025 22:48:48 +0100

devscripts (2.25.17) experimental; urgency=medium

  [ наб ]
  * uscan: add sample Forgejo (Codeberg) stanzas

  [ James Cowgill ]
  * mk-origtargz:
    - Exclude empty directories when using Files-Included
      (Closes: #1021287)
    - Add a test for Files-Included-<component>
    - Document --include-file option
  * uscan:
    - Fix indentation in copyright file examples
    - Add an example using the Files-Included stanza (Closes: #977795)

  [ Dorle Osterode ]
  * (de) po4a/po/de.po: Update translation

  [ Hugh McMaster ]
  * .gitignore: Add scripts/dep-14-convert-git-branch-names
  * test/test_uscan_git:
    - Update watch file for version 5 syntax
    - Use global variable 'MODULE1' for 'subrepo'
    - Update some error messages

  [ Yadd ]
  * Replace gpg by gnupg and sopv by gpgv into test dependencies because
    devscripts tests do not work with sequoia gpg (Closes: #1109607)
  * uscan:
    - Add "auto" values for Uversion-Mangle and Filename-Mangle
    - Add macros @COMPONENT@, @SEMANTIC_VERSION@, @STABLE_VERSION@
    - Fix some debug messages broken by v5
    - Apply pagemangle also when searchmode=plain (Closes: #1057773)
    - support overriding +~ delimiter for groups (Closes: #976829)
    - add aliases: Version-Regex and Version-Pattern are aliases of
      Matching-Pattern
    - Fix doc for boolean option (Closes: #1109879)
    - Fix Git-Modules option (Closes: #1109883)
    - Drop pasv option: no effect for a while (Closes: #1109878)
    - Add template engine
      * Add GitHub template
      * Add Metacpan template
  * Update French translations

  [ Niels Thykier ]
  * uscan templates:
    - Template/Github.pm:
      * Set `pgpmode` to `none` by default
      * Do not override `Search-Mode` if provided in the file
    - Template/Metacpan.pm:
      * Set `pgpmode` to `none` by default
      * Do not override `source` if provided
      * Allow `::` in metacpan dists
    - Fix some undef warnings

 -- Yadd <yadd@debian.org>  Mon, 28 Jul 2025 22:34:14 +0200

devscripts (2.25.16) experimental; urgency=medium

  [ Mechtilde ]
  * Improved the German translation of the manpage for the tool bts

  [ Nick Brown ]
  * uscan: correct setting of request headers

  [ Hugh McMaster ]
  * uscan:
    - uscan/Downloader.pm: Clone main git repository and submodules separately
    - uscan/git.pm: Refactor code to clone versionless repositories with or
      without submodules and refactor '$newversion' generation
    - test/test_uscan_git: Update submodule test names
    - test/test_uscan_git: Add tests to clone from HEAD with submodules

  [ Yadd ]
  * salsa:
    - Use current repository if project is missing (check_repo, del_repo,
      forks, last_ci_status, and merge_requests) and add "path" subcommand
    - Add update_watch5 command to update debian/watch to version 5
  * uscan
    - Add more git debug
    - Add recommended dependency to libio-string-perl (used by uscan/http)
    - Better uscan test framework based on LWP::Protocol::PSGI
    - Add new debian/watch format: version 5
      * uscan: force Version-Schema to "group" for main watchsource when
        Version-Schema is "checksum"
      * Split uscan manpage and create debian-watch(5) [version 5] and
        debian-watch-4(5) for previous formats
    - Add liblwp-protocol-psgi-perl in autopkgtest dependencies
  * Update French translation

 -- Yadd <yadd@debian.org>  Sun, 20 Jul 2025 10:32:11 +0200

devscripts (2.25.15) unstable; urgency=medium

  [ Yadd ]
  * Update French translation.
  * Fix optional salsa test.

 -- Holger Levsen <holger@debian.org>  Mon, 16 Jun 2025 09:49:57 +0200

devscripts (2.25.14) unstable; urgency=medium

  * scripts/Makefile: also clean the build directory on clean. (see #1106532)

 -- Holger Levsen <holger@debian.org>  Mon, 26 May 2025 17:39:28 +0200

devscripts (2.25.13) unstable; urgency=medium

  [ Andreas Tille ]
  * debcommit: Prefer Git over SVN or CVS. Closes: #1106159

  [ Jochen Sprickerhof ]
  * scripts/devscripts/proxy.py: ignore zero size files in cache.

  [ Holger Levsen ]
  * mass-bug: fix typo in manpage, thanks to Julien Plissonneau Duquène.
  * Update French translation, thanks to Julien Plissonneau Duquène/MR503.
  * Update Portuguese translation, thanks to Américo Monteiro.
    Closes: #1105959
  * Update po4a.

 -- Holger Levsen <holger@debian.org>  Thu, 22 May 2025 16:16:30 +0200

devscripts (2.25.12) unstable; urgency=medium

  [ Christopher Bock ]
  * rmadison: add alias for table=all.

  [ Paride Legovini ]
  * rmadison: update Ubuntu URL in docs.

  [ Chris Hofstaedtler ]
  * debbisect: fix example.

  [ Dorle Osterode ]
  * deb2apptainer.1: Fix man page synopsis and highlighting.
  * Update po4a.
  * Update German translation.

  [ Johannes Schauer Marin Rodrigues ]
  * scripts/debrebuild.pl: Make sure that each print statement flushes
    standard output.

  [ Otto Kekäläinen ]
  * test/test_mk-origtargz: Strip ANSI color to avoid sporadic failures.

 -- Holger Levsen <holger@debian.org>  Sun, 11 May 2025 13:50:48 +0200

devscripts (2.25.11) unstable; urgency=medium

  [ Adrian Bunk ]
  * bts: The forky{,-ignore} tags already exists and can already be used.
  * nmudiff: Improve wording of non-delay NMU email.

  [ Johannes Schauer Marin Rodrigues ]
  * debchange: --date argument *must* be in RFC 5322 format.
  * uscan: document ~cs.

  [ Roland Mas ]
  * salsa: allow invoking checkout with a full URL.

  [ Ian Jackson ]
  * dscverify: Look in the t2u keyring, if it is installed.
  * Add debian-tag2upload-keyring to Recommends.

  [ Hugh McMaster ]
  * uscan:
    - add support for git repositories with submodules. Closes: #902846.
    - create a Moo class for 'gitexport' and 'gitmode'.
    - add documentation on the 'gitmodules' option.
  * uscan/Downloader.pm: Export all submodule files when gitexport=all is set.
  * uscan/WatchLine.pm:
    - pass $self->gitrepo_dir to the downloader.
    - remove suffixed tarball in --overwrite-download mode.
    - add missing backslash to regex.
  * test/test_uscan_git:
    - make $TARBALL a local variable.
    - make $DESTDIR a local variable.
    - make $ORIG and $UPSTREAM local variables.
    - update test failure messages (logic and grammar).
    - add missing $WATCHARGS in makeDebianDirHead().
    - aun tests from a separate function.
    - create $destdir in the new $TEMP_PKG_DIR for clean-up.
    - replace helperLaunch() with makeDebianDir*().
    - separate spawnGitRepo() from makeDebianDir().
    - simplify debian/watch creation.
    - support custom repository paths.
    - add tests for git repositories with submodules.

  [ Holger Levsen ]
  * Update Portuguese translation, thanks to Américo Monteiro. Closes: #1103688
  * Update po4a.

 -- Holger Levsen <holger@debian.org>  Tue, 29 Apr 2025 21:34:33 +0200

devscripts (2.25.10) unstable; urgency=medium

  [ Otto Kekäläinen ]
  * New script: deb-check-file-conflicts.
  * Update debsign example to a package that does not depend on Python 2.
  * Apply 'wrap-and-sort -ast'.
  * Fix misc typos.

  [ Johannes Schauer Marin Rodrigues ]
  * debbisect: do not error out if no packages changed from one timestamp to
    the other.

  [ Antonio Terceiro ]
  * mass-bug: add option to include external files in the bug template.

  [ Philip Rinn ]
  * dcmd: document --buildinfo option. Closes: #895346.

  [ Niels Thykier ]
  * nmudiff: Support `--mua` commands (like `thunderbird`).

  [ Holger Levsen ]
  * README.md: shorten lines which cause too wide package descriptions. Thanks
    lintian.
  * Update po4a.

 -- Holger Levsen <holger@debian.org>  Thu, 17 Apr 2025 10:40:41 +0200

devscripts (2.25.9) unstable; urgency=medium

  [ Unit 193 ]
  * debchange: Add '--sloppy' option for sloppy-backports.

 -- Holger Levsen <holger@debian.org>  Sat, 12 Apr 2025 16:02:00 +0200

devscripts (2.25.8) unstable; urgency=medium

  [ Adrian Bunk ]
  * debchange: LTS related fixes, current LTS release is bullseye.

  [ Holger Levsen ]
  * who-uploads: fetch data from tracker.d.o, patch thanks to gregor herrmann.
    Closes: #1074038.

 -- Holger Levsen <holger@debian.org>  Sat, 05 Apr 2025 20:29:06 +0200

devscripts (2.25.7) unstable; urgency=medium

  [ Guillem Jover ]
  * d/control: Depend on gpg and gpg-agent instead of gnupg. Closes: #1070882.
  * Use OpenPGP instead of gnupg or gpg when referring to the RFC or artifacts.
  * Remove backwards compatibility gnupg2 support.
  * Switch from discouraged Perl "base" to "parent" pragma.
  * Switch from deprecated Perl YAML::Syck to YAML::XS.
  * Switch from File::Which to Dpkg::Path.
  * Switch from "command -v" via system() to Dpkg::Path::find_command().
  * Switch from IPC::Run to Dpkg::IPC.
  * d/control: explicitly depend on libdpkg-perl instead of via dpkg-dev and
    Recommends.
  * Hook test_mass_bug into the test suite.
  * tests: remove obsolete GnuPG --secret-keyring option usage.
  * Update .gitignore.

  [ Jochen Sprickerhof ]
  * scripts/devscripts/proxy.py: ignore error when symlink exists.
  * debootsnap: skip cleanup/reproducible to keep the dbus/machine-id.

  [ Antoine Beaupré ]
  * build-rdeps: silence errors when not running with dose-extra.

  [ Holger Levsen ]
  * Update po4a.

 -- Holger Levsen <holger@debian.org>  Tue, 01 Apr 2025 22:32:28 +0200

devscripts (2.25.6) unstable; urgency=medium

  [ Holger Levsen ]
  * po4a/Makefile: fix build when parallel is more than 26, thanks to Jing Luo.
    Closes: #1094811.
  * nmudiff manpage: add missing space, thanks to Jakub Wilk. Closes: #1100854.
  * Update Portuguese translation of devscripts's manpage, thanks to
    Américo Monteiro. Closes: #1099978.
  * Bump Standard-Version to 4.7.2, no changes needed.
  * Update po4a.

  [ Adrian Bunk ]
  * nmudiff:
    - add diffstat to the diff.
    - improve wording of email.
  * debchange: document --date in the manpage.

  [ Dorle Osterode ]
  * (de) po4a/po/de.po: update translation.

  [ Alexandre Detiste ]
  * scripts/edit-patch.sh, doc/what-patch.1 and README.md: remove support and
    references for removed "dpatch" and "cdbs-edit-patch".

  [ Otto Kekäläinen ]
  * dep-14-convert:
    - add man page and other documentation.
    - fix bug and refactor Salsa project slug detection.
    - revert: document '--apply' flag.

 -- Holger Levsen <holger@debian.org>  Thu, 27 Mar 2025 23:29:41 +0100

devscripts (2.25.5) unstable; urgency=medium

  [ Antonio Terceiro ]
  * sadt: replace references to `adt-run` with `autopkgtest`.

  [ Jochen Sprickerhof ]
  * debrebuild: Don't set Rules-Requires-Root with new dpkg (>=1.22.13).
  * Add missing test dependency on apt.

  [ Holger Levsen ]
  * Update po4a.

 -- Holger Levsen <holger@debian.org>  Tue, 25 Feb 2025 12:48:38 +0100

devscripts (2.25.4) unstable; urgency=medium

  [ Jochen Sprickerhof ]
  * CI: switch to salsa-ci.
  * Add missing lzip dependency in autopkgtests. Closes: #1098681.

  [ Holger Levsen ]
  * mk-build-deps: only specify arch if needed. Closes: #1058049. Thanks to
    Stephen Gildea for the patch.

 -- Holger Levsen <holger@debian.org>  Sun, 23 Feb 2025 15:25:16 +0100

devscripts (2.25.3) unstable; urgency=medium

  [ Andrius Merkys ]
  * Support lzip decompression in uscan. Closes: #1061479.

  [ Jochen Sprickerhof ]
  * debrebuild: use $build_as_root_when_needed.
  * Fix CI pipeline.

  [ Holger Levsen ]
  * Bump Standard-Version to 4.7.1, no changes needed.
  * Update po4a.

 -- Holger Levsen <holger@debian.org>  Fri, 21 Feb 2025 14:52:33 +0100

devscripts (2.25.2) unstable; urgency=medium

  [ Jochen Sprickerhof ]
  * debrebuild: relax Rules-Requires-Root detection.

  [ dann frazier ]
  * scripts/hardening-check.pl:
    - correct short arg for cfprotection in --help.
    - detect branch protection in ARM binaries.
    - make indentation consistent.

  [ Julien Plissonneau Duquène ]
  * Apply uversionmangle rules to --download-version. Closes: #1087641.
  * Add test case for --download-version with uversionmangle.

  [ IOhannes m zmölnig (Debian/GNU) ]
  * dep-14-convert:
    - more clearly mark the 'pristine-tar' branch as optional.
    - document '--apply' flag.
    - use a variable for the dep-14 compliant packaging branch.
    - allow the user to override the packaging branch.
    - fallback to other remotes if current remote is not on salsa.
    - ensure that the packaging branch name is valid.
    - 'debug' function to handle the debugging printout.
    - ensure that branch settings go to gbp.conf's [DEFAULT] section.

  [ Otto Kekäläinen ]
  * dep-14-convert-git-branch-names: Automate git layout conversion.

  [ Dorle Osterode ]
  * (de) po4a/po/de.po: Update translation.

  [ Holger Levsen ]
  * Update po4a.

 -- Holger Levsen <holger@debian.org>  Tue, 04 Feb 2025 22:56:37 +0100

devscripts (2.25.1) unstable; urgency=medium

  [ Otto Kekäläinen ]
  * debchange: enable multimaint-merge by default.

  [ Philip Rinn ]
  * Remove cvs-* scripts.

  [ Andreas Metzler ]
  * uscan: fix docs for downloading a specific branch in git mode.

  [ Jacob Mealey ]
  * Cleanup perltidy changes, add perl tidy diff to test output.

  [ Holger Levsen ]
  * Update po4a.

  [ nick black ]
  * Ignore po4a/pt.

 -- Holger Levsen <holger@debian.org>  Tue, 14 Jan 2025 11:20:25 +0100

devscripts (2.24.10) unstable; urgency=medium

  [ Niels Thykier ]
  * wrap-and-sort: Detect `X-Style` and abort with a helpful message.

  [ Philip Rinn ]
  * Add sopv | gpgv as build-dependency (<!nocheck>). Closes: #1091596.

 -- Holger Levsen <holger@debian.org>  Tue, 31 Dec 2024 14:40:21 +0100

devscripts (2.24.9) unstable; urgency=medium

  [ Guilhem Moulin ]
  * debdiff: Always call dpkg-source(1) when `--apply-patches` is set.
    Closes: #1091228.

  [ Philip Rinn ]
  * scripts/desktop2menu.pl: remove script. Since 2017 Policy states 'If
    a package installs a FreeDesktop desktop entry, it must not also install
    a Debian menu entry.' so there is no use case for this script anymore.

  [ Holger Levsen ]
  * Update po4a.

 -- Holger Levsen <holger@debian.org>  Wed, 25 Dec 2024 17:05:05 +0100

devscripts (2.24.8) unstable; urgency=medium

  [ Guillem Jover ]
  * debsign: Ensure future GnuPG interop by forcing OpenPGP compliant behavior.
    Closes: #1070197.

  [ Gioele Barabucci ]
  * wrap-and-sort: Sort build-system packages first. Closes: #1049943.
  * test/test_wrap-and-sort:
    - Allow testing parameters.
    - Test that build systems are listed first.

 -- Holger Levsen <holger@debian.org>  Wed, 18 Dec 2024 13:52:45 +0100

devscripts (2.24.7) unstable; urgency=medium

  [ Guillem Jover ]
  * Devscripts::Uscan::Keyring: Handle and warn on concatenated ASCII Armor
    blocks. Closes: #1089548.

  [ Jochen Sprickerhof ]
  * debsnap: downgrade dscverify to a warning. Closes: #1089060.
  * debrebuild: put dsc into the same directory as the buildinfo.

  [ Lee Garrett ]
  * Install devscripts man page to section 7.
  * gitignore devscripts man page again.

  [ Holger Levsen ]
  * Add Closes: for #1064707 to 2.24.2 d/changelog entry.

 -- Holger Levsen <holger@debian.org>  Thu, 12 Dec 2024 16:41:45 +0100

devscripts (2.24.6) unstable; urgency=medium

  [ Jochen Sprickerhof ]
  * debrebuild: fix build path. Closes: #1089087.

  [ Daniel Kahn Gillmor ]
  * Uscan/Keyring.pm:
    - gpgv can use /dev/null for homedir.
    - add helper functions for OpenPGP ASCII Armor.
    - adopt Guillem Jover's suggested improvements for perl.
    - remove dependency on /usr/bin/gpg.
    - add OpenPGP verification support for sop. Closes: #1010955.
    - clean up perl nits. (thanks, Guillem Jover!)
    - clean up references to RFC 9580.
    - avoid bareword constructions (thanks, Guillem.)
    - check results of writing and closing.
    - rely on sopv instead of sop, except for "sop armor".
    - perltidy.
  * d/control and README, documented uscan depends:
    - remove gnupg from dependency annotations, encourage sop.
    - use the sopv alternatives, rather than enumerate sopv's implementations.

  [ Guillem Jover ]
  * scripts/Makefile: Use dpkg-vendor directly instead of including
    dpkg/mk/vendor.mk. Closes: #1079186.

  [ Jacob Mealey ]
  * wnpp-alert: fix typo in --help output.

  [ Holger Levsen ]
  * Update po4a.

 -- Holger Levsen <holger@debian.org>  Sat, 07 Dec 2024 13:41:53 +0100

devscripts (2.24.5) unstable; urgency=medium

  [ Jochen Sprickerhof ]
  * debrebuild: move dscverify to debsnap.

  [ Guillem Jover ]
  * debsign: Remove compatibility code for ancient GnuPG. Closes: #1066875

 -- Holger Levsen <holger@debian.org>  Thu, 28 Nov 2024 10:30:12 +0100

devscripts (2.24.4) unstable; urgency=medium

  [ Jochen Sprickerhof ]
  * debootsnap:
    - don't set a apt proxy with --nocache.
    - fix HTTP 302.

  [ Johannes Schauer Marin Rodrigues ]
  * debrebuild: run debsnap with --verbose to attempt to better debug random
    failures on rebuilderd.d.n.

  [ Otto Kekäläinen ]
  * salsa: Follow DEP-14 and use default branch name 'debian/latest'.

  [ Holger Levsen ]
  * Update po4a.

 -- Holger Levsen <holger@debian.org>  Sat, 23 Nov 2024 09:45:49 +0100

devscripts (2.24.3) unstable; urgency=medium

  [ Jochen Sprickerhof ]
  * debootsnap:
    - fix diff generation.
    - make sure all packages are installed.
  * debrebuild:
    - drop epoch from buildinfo filename.
    - debrebuild: run dpkg-buildpackage without fakeroot.

  [ Johannes Schauer Marin Rodrigues ]
  * debrebuild: update short description to match its current feature set.
  * scripts/devscripts/test/__init__.py: list debftbfs so it gets installed.
  * README.newscripts: add requirement to add Python scripts to SCRIPTS list
    in scripts/devscripts/test/__init__.py
  * debftbfs: make pylint and flake8 happy.

  [ Holger Levsen ]
  * Update po4a.

 -- Holger Levsen <holger@debian.org>  Tue, 12 Nov 2024 16:43:39 +0100

devscripts (2.24.2) unstable; urgency=medium

  [ Mattia Rizzolo ]
  * Update Portuguese translation.
    Thanks to Américo Monteiro <a_monteiro@gmx.com> (Closes: #1051711)
  * bts: do not use backticks as quote marks. (Closes: #578997)
  * checkbashisms: avoid false positive for "read without variable".
    Thanks to Tim Landscheidt <tim@tim-landscheidt.de> for the patch.
    (Closes: #1020336)
  * debcommit: implement a new --signoff option (Closes: #524476)
  * debdiff: Speed up debdiff for source format 3.0 (quilt) packages.
    Thanks to Michael Gilbert <mgilbert@debian.org> for the patch.
    (Closes: #757528)
  * perltidy.
  * bts: fix typo in man page. (Closes: #1082517)

  [ Johannes Schauer Marin Rodrigues ]
  * scripts/debootsnap: always set TMPDIR for reliable behaviour of
    equivs-build.
  * scripts/debrebuild.pl:
    - always call sbuild with --verbose to force output even if not connected
      to an interactive tty.
    - always call sbuild with --nolog now that it will always output to stdout
      thanks to the --verbose switch.
    - use debsnap from git if we are running from git
    - use dscverify from git if we are running from git
    - clean up temporary files using CLEANUP=>1 of File::Temp
  * Unify proxy handling between debbisect and debootsnap.
  * scripts/devscripts/proxy.py:
    - now that snapshot.d.o is fixed, we do not need to throttle the download
      speed anymore.
    - do not delete *.part files to allow multiple processes sharing the same
      cache.
    - add process ID to partial file name.
    - ignore failures of self.send_error()
  * scripts/build-rdeps.pl:
    - improve man page wording.
    - re-arrange to align option name with option value in the same line.
    - decompress Packages and Sources for dose-ceve
    - add --no-ftbfs using debftbfs to prevent emitting reverse dependencies
     that are known to ftbfs.
    - support computing reverse dependencies for more than one binary package
      with only a single call to dose-ceve.
    - components other than 'main' also need 'main' being part of the binary
      package set for correct rdep computation.
  * scripts/reproducible-check: make black happy. Closes: #1064707.
  * debftbfs: add a new script which lists source packages which have FTBFS
    bugs filed against them and prints them with the bug number and title.

  [ Jelmer Vernooĳ ]
  * deb-janitor: Split out failure description in status subcommand.

  [ Andrea Pappacoda ]
  * bts: fix crash when using submissions/smtps (Closes: #1078426)

  [ Holger Levsen ]
  * scripts/devscripts/proxy.py and scripts/reproducible-check: make pylint
    and black happy.
  * scripts/reproducible-check: fix typo, leading to incorrect results.
    Thanks to Oejet.
  * Add myself to uploaders.

  [ Georgios Zarkadas ]
  * debcheckout: Stop using given/when since it is deprecated.
    (Closes: #1060448)

  [ James McCoy ]
  * pylint: Add max-positional-arguments=10 to test config.
  * copyright: Remove duplicate scripts/devscripts/* stanza.
  * bts: fix warning if missing argument for "severity" command.
    (Closes: #1014340)
  * dget: Fix handling of folded Binary lines. (Closes: #1033041)

  [ Salvatore Bonaccorso ]
  * uscan: bash-completion: Add support for --vcs-export-uncompressed option.
    (Closes: #1084996)

  [ Vignesh Raman ]
  * debchange: Add --date argument for specifying the changelog entry date.
  * test: debchange: add test case for date feature.

  [ Dylan Aïssi ]
  * test: debchange: add test case for date feature.

  [ Jakub Wilk ]
  * salsa: fix typo "branch as no origin". (Closes: #1065563)

  [ Jochen Sprickerhof ]
  * scripts/debrebuild.pl: don't run piuparts.

  [ kpcyrd ]
  * debootsnap:
    - replace generic assertion error with human readable error and diff.
    - debootsnap: Make `1 of 226` lines more descriptive.

 -- Holger Levsen <holger@debian.org>  Thu, 31 Oct 2024 14:38:24 +0100

devscripts (2.24.1) unstable; urgency=medium

  [ Christoph Anton Mitterer ]
  * annotate-output: wholly overhauled the script.  Closes: #1057963
    + Prevent variables such as `PROGNAME`, `FMT, `err` from leaking to command
    + Use exit status `127` if no program was specified.
    + Documente exit statuses
    + Improve the manpage and program usage output.
    + Add option (--raw-date-format) to allow a format string with no separator.
    + Support `--` to end option parsing.
    + Escape command name and arguments in the annotated output.
    + Include annotate-output's version information and chosen prefix format
      in the annotated output.

  [ Ben Hutchings ]
  * uscan:
    + Allow exporting uncompressed VCS exports.  Closes: #1003251; MR: !292
      This is to avoid useless compress/decompress/compress cycles.

  [ Christoph Berg ]
  * salsa:
    + Exclude projects that are only shared with a group/user from --all.

  [ Benjamin Drung ]
  * debbisect:
    + Address pylint's consider-using-min-builtin.

  [ Osamu Aoki ]
  * dget:
    + Add deb822 *.sources support.  Closes: #976673

  [ Paul Wise ]
  * build-rdeps:
    + Avoid Perl errors when a source has no Suite or no Codename.
    + Set the default origin to the current vendor from dpkg.
    + Check devel suite status based on chosen origin not dpkg vendor.
      Allows using APT_CONFIG and an origin override to check Ubuntu chdists.
  * chdist:
    + Document that the dist can come first.
    + Allow running build-rdeps, synaptic and also arbitrary commands.
    + Allow putting the dist first for the create command

  [ Yadd ]
  * Update French translations
  * Fix broken bash_completion for salsa(1)
  * uscan: improve GitHub documentation

  [ Johannes Schauer Marin Rodrigues ]
  * debbisect:
    + Properly handle network hiccups and clean-up half-downloaded files.
    + Pipe dpkg output into cat instead of using --no-pager, to support older
    dpkg
    + run_bisect_qemu.sh: switch to debvm.
      - move all the complexity to debvm, simplifying this script.
      - add support for all release architectures.
    + make caching proxy an actual http proxy.
      - mirror url no longer is http://127.0.0.1:$PORT but
        http://snapshot.debian.org, making writing test scripts less
        surprising.
      - set the http_proxy variable for the script.
  * debootsnap:
    + Always output tarball independent on how the output path is named
    + Create merged-/usr symlinks if necessary
    + Abort early if user does not pass a tarball name and also does not
      redirect stdout to a file.
    + Improve --help output.
  * bts:
    + status: preserve field order and otherwise sort keys.
  * Handle some new test failures due to changed dependencies.
  * Update copyright.
  * build-rdeps
    + Avoid 'Use of uninitialized value' warnings by skipping unsuitable entries
  * debrebuild:
    + Improve error messages.
    + Fix typo buildresults -> buildresult.
    + Download dsc using debsnap and verify its hash.
    + Set SBUILD_CONFIG to prevent user's ~/.sbuildrc leaking into the build.
    + Use mmdebstrap tar-in with --skip=tar-in/mknod to copy the tarball into
      the chroot.
    + Clean up temporary files.

  [ Gianfranco Costamagna ]
  * uscan:
    + Fix mode=git to use the correct versioning sha when a branch is provided.
    Closes: #992976

  [ Otto Kekäläinen ]
  * dget:
    + Improve help and man page to clarify difference to modern apt-get.
    Related: 1059551

  [ Paride Legovini ]
  * wrap-and-sort:
    + Consistently add --no-<action> options
    + Improve --help output by improving text consistency, always writing the
      default option, and hide the now deprecated --externa-rts-parser.
    + Update manpage with the new --no-<action> arguments
    + Add support for more d/t/control DEP-8 fields: Features, Restrictions,
      Tests.

  [ cen ]
  * debrebuild:  Closes: #1063928
    + Avoid error in case of .buildinfo coming from binNMUs
    + Add missing module import.

  [ Sylvestre Ledru ]
  * uscan:
    + in find_watch_file, replace the deprecated `find -follow` in find by -L.

  [ Michael Prokop ]
  * README:
    + Update dependencies for debootsnap
  * d/control:
    + Add python3-pycurl to Suggests, used by debootsnap.  Closes: #1054571

  [ Agathe Porte ]
  * uscan:
    + Add Fossil example.

  [ g0t mi1k ]
  * chdist:
    + Include kali-archive-keyring.gpg.

  [ Lee Garrett ]
  * d/gbp.conf: Explicitly set the Debian branch, changed from master to main.

  [ Jeremy Bícha ]
  * rmadison:
    + Update the URL used for Ubuntu.

  [ Andrea Pappacoda ]
  * mk-origtargz:
    + Support tarballs without .tar.* extension.

  [ Lucas Nussbaum ]
  * chdist:
    + Fix Perl warnings about deprecated given/when.  Closes: #1065348

  [ Bastien Roucariès ]
  * uscan:
    + Improve documentation of downloading tags and releases from GitHub.

  [ James McCoy ]
  * Switch from "setup.py test" to "unittest discover".
    Closes: #1079650
  * debbisect:
    + Support redirect Location which are either paths or URLs.
    + run_bisect_qemu.sh: Pass the architecture to debvm-create.

  [ Emmanuel FARHI ]
  * NEW SCRIPTS:
    + deb2docker and deb2apptainer.
      Build container images with the given packages.

  [ Mattia Rizzolo ]
  * packaging:
    + Add lintian override for very-log-line-length-in-source.
    + Change build-dependency from replaced pkg-config to pkgconf.
    + Bump Standards-Version to 4.7.0, no changes needed.
  * debuild.bash_completion: appease lintian by wrapping this very long line.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 18 Sep 2024 20:41:19 +0200

devscripts (2.23.7) unstable; urgency=medium

  [ Nicholas D Steeves ]
  * debsign: Override the gpg2 default to update trustdb at what may be an
    inconvenient time, because an up-to-date trustdb is not needed for this
    operation (Closes: Bug#1050387)

  [ Niels Thykier ]
  * wrap-and-sort:
    + Add a --no-keep-first option
    + Make --keep-first the default
    + Support wrap-and-sort'ing d/control.in template files
    + Cope better with deb822 parse errors
  * README:
    + Remove obsolete section about setuid wrappers
    + Remove `fakeroot` from `debclean` and `debuild` dependencies
  * debuild.pl: Clarify that the `fakeroot` default comes from dpkg-buildpackage
  * dpkg-genbuilddeps.sh: Remove explicit `-rfakeroot` from error message
  * d/control: Remove `fakeroot` from Depends. (Closes: #1041150)

  [ g0t mi1k ]
  * salsa:
    + Split edit_project -> edit_project_multipart
    + Only set avatar if told too
    + Check if project is public for remote avatar
    + Set user-agent when remotely checking md5
    + List members including inherited
    + Improve some salsa messages
    + Drop --request-acc, duplicate of --request-access
    + Update doc and comments
    + Add ENVIRONMENTS, FEATURE_FLAGS, INFRASTRUCTURE, MONITOR
      and SECURITY_COMPLIANCE
    + Add ENABLE_SERVICE_DESK

  [ Sean Whitton ]
  * debchange: For --lts uploads, use urgency=high.

  [ Damyan Ivanov ]
  * new default KGB webhook URL (https)

  [ Yadd ]
  * Update French translation

  [ Jochen Sprickerhof ]
  * uscan: support zstd in more cases

  [ Danilo Egea Gondolfo ]
  * Move libgitlab-api-v4-perl to Suggests on Ubuntu (LP: #2046242)

  [ Carlos Henrique Lima Melara ]
  * uscan: add optional V prefix in @ANY_VERSION@ (Closes: #1037173)

  [ Gioele Barabucci ]
  * build-rdeps: Use all available distros by default. Restrict to unstable/sid
    only if explicitly requested via the new parameter --only-devel.
    (Closes: #1032396)

  [ Diego Escalante Urrelo ]
  * mk-build-deps: Actually use MKBUILDDEPS_ROOTCMD

  [ Christian Göttsche ]
  * MkOrigtargz.pm: dump newline to same output as messages

  [ Benjamin Drung ]
  * mk-origtargz/uscan: replace xpi-unpack by unzip to drop mozilla-devscripts
  * uscan: Update GitHub documentation to use api.github.com
    (Closes: #931091, #950880, #1019696, #1040314)

  [ Athos Ribeiro ]
  * uscan: remove duplicated example from docs

 -- Benjamin Drung <bdrung@debian.org>  Tue, 12 Dec 2023 21:54:20 +0100

devscripts (2.23.6) unstable; urgency=medium

  * Team upload

  [ Yadd ]
  * fix salsa test (Closes: #1038486)
  * add dependency to libjson-perl

  [ gregor herrmann ]
  * test/t/salsa.pm: use JSON (Closes: #1038486)

 -- Yadd <yadd@debian.org>  Wed, 23 Aug 2023 07:51:13 +0400

devscripts (2.23.5) unstable; urgency=medium

  [ Benjamin Drung ]
  * debchange: Update to current Debian distributions (Add bookworm and trixie
    and drop stretch, jessie, and wheezy) (Closes: #1037336)
  * test: Unset UBUMAIL for testEncoding
  * Drop debpkg to make devscripts architecture all. Instead of debpkg please
    use sudo for debi (or, highly dangerous, make dpkg setuid root).

  [ Guillem Jover ]
  * Devscripts::Compression: Switch to new Dpkg::Compression getters
    (Closes: #1027718)

  [ Cyril Brulebois ]
  * build-rdeps: Add support for non-free-firmware
  * chdist: Update sources.list examples with non-free-firmware

  [ Jussi Hakala ]
  * dget: download binary packages that only come from the requested source
    package (Closes: #1027962)

  [ Ian Jackson ]
  * grep-excuses: --autopkgtests: do not report NEUTRAL

  [ Johannes Schauer Marin Rodrigues ]
  * rewrite annotate-output to avoid needing temporary directory/fifos
    (Closes: #919563)

 -- Benjamin Drung <bdrung@debian.org>  Mon, 12 Jun 2023 17:33:27 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog devscripts`.
